ShapeRenderer
Date: 2019-10-22

org.jmol.render

## Class ShapeRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer

- Direct Known Subclasses:
    BallsRenderer, BioShapeRenderer, DipolesRenderer, DotsRenderer, EllipsoidsRenderer, FontLineShapeRenderer, FrankRenderer, HalosRenderer, HoverRenderer, MeshRenderer, PolyhedraRenderer, StarsRenderer, VectorsRenderer

      public abstract class ShapeRenderer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `colix`
    `int` | `exportType`
    `JmolRendererInterface` | `g3d` could be vwr.gdata or an exporter
    `boolean` | `isExport`
    `short` | `mad`
    `protected ModelSet` | `ms`
    `protected int` | `myVisibilityFlag`
    `protected Shape` | `shape`
    `protected int` | `shapeID`
    `protected TransformManager` | `tm`
    `Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapeRenderer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initRenderer()`
    `protected boolean` | `isVisibleForMe(Atom a)`
    `protected abstract boolean` | `render()`
    `boolean` | `renderShape(JmolRendererInterface g3d, ModelSet modelSet, Shape shape)`
    `void` | `setup(JmolRendererInterface g3d, ModelSet modelSet, Shape shape)`
    `void` | `setViewerG3dShapeID(Viewer vwr, int shapeID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          public Viewer vwr

    - #### tm

          protected TransformManager tm

    - #### g3d

          public JmolRendererInterface g3d

      could be vwr.gdata or an exporter

    - #### ms

          protected ModelSet ms

    - #### shape

          protected Shape shape

    - #### myVisibilityFlag

          protected int myVisibilityFlag

    - #### shapeID

          protected int shapeID

    - #### colix

          public short colix

    - #### mad

          public short mad

    - #### exportType

          public int exportType

    - #### isExport

          public boolean isExport

  - ### Constructor Detail

    - #### ShapeRenderer

          public ShapeRenderer()

  - ### Method Detail

    - #### initRenderer

          protected void initRenderer()

    - #### render

          protected abstract boolean render()

    - #### setViewerG3dShapeID

          public final void setViewerG3dShapeID(Viewer vwr,
                                                int shapeID)

    - #### renderShape

          public boolean renderShape(JmolRendererInterface g3d,
                                     ModelSet modelSet,
                                     Shape shape)

    - #### setup

          public void setup(JmolRendererInterface g3d,
                            ModelSet modelSet,
                            Shape shape)

    - #### isVisibleForMe

          protected boolean isVisibleForMe(Atom a)